Package com.zoho.analytics.jdbc

## Class DriverParams

- java.lang.Object
- - com.zoho.analytics.jdbc.DriverParams

-     public class DriverParams
      extends java.lang.Object

  The connection parameters to connect the database

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `ACCOUNTS_URL` |
    `static java.lang.String` | `ANALYTICS_URL` |
    `static java.lang.String` | `CLIENT_ID` | OAuth client id to connect the Zoho service
    `static java.lang.String` | `CLIENT_SECRET` | OAuth client secret to connect the Zoho service
    `static java.lang.String` | `HOST_NAME` | Service name for generating authtoken
    `static java.lang.String` | `ORG_ID` |
    `static java.lang.String` | `PROXYPASSWORD` | Proxy password to connect the internet
    `static java.lang.String` | `PROXYPORT` | Proxy port to connect the internet
    `static java.lang.String` | `PROXYSERVER` | Proxy hostname to connect the internet
    `static java.lang.String` | `PROXYUSERNAME` | Proxy username to connect the internet
    `static java.lang.String` | `REFRESH_TOKEN` | OAuth client refresh token to connect the Zoho service
    `static java.lang.String` | `WORKSPACE_NAME` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DriverParams()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CLIENT_ID

          public static final java.lang.String CLIENT_ID

      OAuth client id to connect the Zoho service
      See Also:
        Constant Field Values

    - #### CLIENT_SECRET

          public static final java.lang.String CLIENT_SECRET

      OAuth client secret to connect the Zoho service
      See Also:
        Constant Field Values

    - #### REFRESH_TOKEN

          public static final java.lang.String REFRESH_TOKEN

      OAuth client refresh token to connect the Zoho service
      See Also:
        Constant Field Values

    - #### PROXYSERVER

          public static final java.lang.String PROXYSERVER

      Proxy hostname to connect the internet
      See Also:
        Constant Field Values

    - #### PROXYPORT

          public static final java.lang.String PROXYPORT

      Proxy port to connect the internet
      See Also:
        Constant Field Values

    - #### PROXYUSERNAME

          public static final java.lang.String PROXYUSERNAME

      Proxy username to connect the internet
      See Also:
        Constant Field Values

    - #### PROXYPASSWORD

          public static final java.lang.String PROXYPASSWORD

      Proxy password to connect the internet
      See Also:
        Constant Field Values

    - #### HOST_NAME

          public static final java.lang.String HOST_NAME

      Service name for generating authtoken
      See Also:
        Constant Field Values

    - #### ORG_ID

          public static final java.lang.String ORG_ID

      See Also:
        Constant Field Values

    - #### WORKSPACE_NAME

          public static final java.lang.String WORKSPACE_NAME

      See Also:
        Constant Field Values

    - #### ACCOUNTS_URL

          public static final java.lang.String ACCOUNTS_URL

      See Also:
        Constant Field Values

    - #### ANALYTICS_URL

          public static final java.lang.String ANALYTICS_URL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DriverParams

          public DriverParams()